function fileName = modelWriteResult(model, dataset, number)

% MODELWRITERESULT Write a model to file.
%
%	Description:
%
%	FILENAME = MODELWRITERESULT(MODEL, DATASETNAME, NUMBER) writes a
%	model to file.
%	 Returns:
%	  FILENAME - the file name used.
%	 Arguments:
%	  MODEL - the model to be written to file.
%	  DATASETNAME - data set name.
%	  NUMBER - the experiment number.
%	
%
%	See also
%	MODELCREATE


%	Copyright (c) 2009 Neil D. Lawrence
% 	modelWriteResult.m SVN version 
% 	last update 

  fhandle = [model.type 'WriteResult'];
  if exist(fhandle)==2
    fhandle = str2func(fhandle);
    fileName = fhandle(model, dataset, number);
  else
    dataset(1) = upper(dataset(1));
    type = model.type;
    type(1) = upper(type(1));
    fileName = ['dem' dataset type num2str(number)];
    save(fileName, 'model');
  end
end