function fileName = ppcaWriteResult(model, dataSet, number)

% PPCAWRITERESULT Write a PPCA result.
%
%	Description:
%
%	FILENAME = PPCAWRITERESULT(MODEL, DATASET, NUMBER) writes a PPCA
%	result.
%	 Returns:
%	  FILENAME - the file name used to write.
%	 Arguments:
%	  MODEL - the model to write.
%	  DATASET - the name of the data set to write.
%	  NUMBER - the number of the PPCA run to write.
%	
%
%	See also
%	PPCALOADRESULT


%	Copyright (c) 2009 Neil D. Lawrence
% 	ppcaWriteResult.m SVN version 536
% 	last update 2009-09-30T08:56:04.000000Z

dataSet(1) = upper(dataSet(1));
type = model.type;
type(1) = upper(type(1));
fileName = ['dem' dataSet type num2str(number)];

ppcaInfo = ppcaDeconstruct(model);

save(fileName, 'ppcaInfo');